Subject: Re: [PATCH net-next v2 2/9] net: ipmr: always define mroute_reg_vif_num

From: Nikolay Aleksandrov <[email-masked]>
Date: Mon, 23 Nov 2015 11:39:19 +0100

On 11/23/2015 06:23 AM, Cong Wang wrote:
> On Sat, Nov 21, 2015 at 6:57 AM, Nikolay Aleksandrov
> <[email-masked]> wrote:
>> From: Nikolay Aleksandrov <[email-masked]>
>>
>> Before mroute_reg_vif_num was defined only if any of the CONFIG_PIMSM_
>> options were set, but that's not really necessary as the size of the
>> struct is the same in both cases (checked with pahole, both cases size
>> is 3256 bytes) and we can remove some unnecessary ifdefs to simplify the
>> code.
>>
> 
> Not sure if this really simplifies the code, since now
> mroute_reg_vif_num is hidden
> deeper after your patch and there are still some code under CONFIG_IP_PIMSM.
> 
CONFIG_IP_PIMSM is removed in the next patch, and it's not "hidden" anymore
than it was before.

> If you really care about it, how about introducing a helper function
> to set and get
> mrt->mroute_reg_vif_num?
> 
Patches are welcome, if you don't get to it then I will with the next
set.